Name: gnome-iconedit
Summary: Icon editor for GNOME
BuildRequires: XFree86-devel ORBit-devel xpm-devel gnome-libs-devel 
BuildRequires: audiofile-devel esound-devel imlib-devel gdk-pixbuf-devel libpng-devel libxml-devel zlib-devel
Version: 1.2.0
Release: 11mdk
License: GPL
Group: Graphics
URL: http://www.gnome.org/
Buildroot: %{_tmppath}/%{name}-%{version}-root/
Source0: http://www.webtribe.net/i/iain/%{name}-%{version}.tar.bz2
Source1: %{name}_16x16.xpm.bz2
Source2: %{name}.xpm.bz2
Source3: %{name}_48x48.xpm.bz2
Patch2:     gnome-iconedit-layers.patch.bz2
Patch3:		gnome-iconedit-bonobox.patch.bz2
Patch4:     gnome-iconedit-gnomeprint.patch.bz2
Patch5:     gnome-iconedit-nobonobo.patch.bz2
# (fc) 1.2.0-9mdk fix compilation with latest version of GNOME1 platform
Patch6:     gnome-iconedit-1.2.0-gnome1.patch.bz2

%description
GNOME-Iconedit is a simple icon editor for the GNOME desktop environment. 
It is not as powerful as the wonderful GIMP, but has enough features to 
create simple icons or cursors.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%patch2 -p1 -b .layers
%patch3 -p1 -b .bonobo
%patch4 -p1 -b .gnomeprint
%patch5 -p1 -b .nobonobo
%patch6 -p1 -b .gnome1

automake
autoconf

%build

%configure

# Remove IDL generated file, since they are dependent on OAF
make -C src clean

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# icons
install -d  $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE1} >$RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} >$RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm 
bzcat %{SOURCE3} >$RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm 

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat >$RPM_BUILD_ROOT/%{_menudir}/%{name} <<EOF
?package(%{name}):\
	command="%{_bindir}/%{name}"\
	needs="X11"\
	icon="%{name}.xpm"\
	section="Multimedia/Graphics"\
	title="Gnome Icon Editor"\
	longtitle="Gnome Icon Editor"
EOF

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
## add menu entry 
%{update_menus}

%postun
## remove menu entry 
%{clean_menus}

%files -f %{name}.lang
%attr(755,root,root) %{_bindir}/gnome-iconedit*
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%config(noreplace) %{_sysconfdir}/CORBA/servers/*
%{_datadir}/gnome/help/gnome-iconedit
%{_datadir}/gnome/apps/Graphics/gnome-iconedit.desktop
%{_datadir}/idl/Iconedit.idl
%{_datadir}/pixmaps/gnome-iconedit
%{_datadir}/oaf/*

%changelog
* Mon Dec  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.0-11mdk
- do use menudir, not libdir/menu

* Wed Feb 27 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.0-10mdk
- integrated Basque translation

* Fri Jan  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-9mdk
- Patch6: fix compilation with GNOME1 platform

* Wed Oct 17 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.2.0-8mdk
- rebuilt with libpng3

* Mon Dec  4 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.2.0-7mdk
- patch to compile with gnome-print 0.25
- patch to compile without bonobo (bonobo support broken with 0.28)

* Thu Sep  7 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.2.0-6mdk
- added liconsdir in files

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-5mdk
- Patch makefile to link with new version of Bonobo
- use find_lang
- don't provide .desktop (use menu)
- provide all icons for menu

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.0-4mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-3mdk
- Correct menu entry

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.2.0-2mdk
- real BM (fcrozat is new...)
- real macrozification.

* Thu Jul 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- release 1.2.0 (from helix)
- use new macros
- BM
- force cleaning CORBA generated file before compiling
- rename gnome-iconedit.xpm by gnome-iconedit_32x32.xpm

* Fri May 05 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.6-2mdk
- build with gdk-pixbuf 0.7 libraries
- some minor changes  to spec file

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.6-1mdk
- release from Helix package
- enable SMP build.

* Thu Apr 4 2000 Denis Havlik <denis@mandrakesoft.com> 1.0.5-3mdk
- new group: Graphics
- menu entry + icons
- package icon

* Fri Feb 25 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.5-2mdk 
- changed the %files section a little to avoid orphaned directories
- use of %%{prefix}
- added %clean section

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by John Cavan <jcavan@linux-mandrake.com>

* Wed Feb  9 2000 John Cavan <jcavan@linux-mandrake.com>
- initial Mandrake
